Bug 547867 - %{ghc_version} doesn't expand properly
Summary: %{ghc_version} doesn't expand properly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 20:42 UTC by Jochen Schmitt
Modified: 2013-08-20 02:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 09:06:25 UTC
Type: ---


Attachments (Terms of Use)

Description Jochen Schmitt 2009-12-15 20:42:20 UTC
I want to tryout ghc-6.12.1 on my system and have installed ghc-rpm-macros-0.3.0-1 on my system.

Because I have trouble to compile my packages, I have try out the following command:

$ rpm -q --eval '%{ghc_version}'

and got the following output:

error: Recursion depth(17) greater than max(16)
 15<                               (empty)
 14<                             (empty)
 13<                           (empty)
 12<                         (empty)
 11<                       (empty)
 10<                     (empty)
  9<                   (empty)
  8<                 (empty)
  7<               (empty)
  6<             (empty)
  5<           (empty)
  4<         (empty)
  3<       (empty)
  2<     (empty)
  1<   (empty)
  0< (empty)

If I type 

$ ghc --numeric-version

I will get

6.12.1

which I expected for

$ rpm -q --eval '%{ghc_version}'

Best Regards:

Jochen Schmitt

Comment 1 Jens Petersen 2009-12-15 21:36:03 UTC
Thanks for the report - I have a fix that will be coming out in rawhide
shortly now that cvs and koji are back after the move. :)

Comment 2 Jens Petersen 2009-12-15 21:56:56 UTC
Please try 0.3.1 building now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1874097

Comment 3 Jens Petersen 2009-12-15 22:00:30 UTC
or better http://koji.fedoraproject.org/koji/buildinfo?buildID=147239

Comment 4 Jens Petersen 2009-12-16 00:11:07 UTC
Though I think I need to warn and post to fedora-haskell-list
that there will likely be some more adjustments to the macros
and an update needed for cabal2spec for 6.12.1.

So you may want to hold off testing a little longer if want
something stable to work against, but early testing is welcome. :)


Note You need to log in before you can comment on or make changes to this bug.